Get a patent
curl --request GET \
--url https://api.dev.impactu.colav.co/patent/{patent_id}import requests
url = "https://api.dev.impactu.colav.co/patent/{patent_id}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.dev.impactu.colav.co/patent/{patent_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.dev.impactu.colav.co/patent/{patent_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.dev.impactu.colav.co/patent/{patent_id}"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.dev.impactu.colav.co/patent/{patent_id}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.dev.impactu.colav.co/patent/{patent_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"data": {
"authors": [
{
"affiliations": [
{
"addresses": null,
"end_date": null,
"external_ids": null,
"h5_index": null,
"h_index": null,
"id": "COL0000001",
"name": "Grupo de Investigación Ejemplo",
"position": null,
"ranking": null,
"ror": null,
"start_date": null,
"types": [
{
"code": null,
"level": null,
"provenance": null,
"source": "minciencias",
"type": "group",
"type_class": null
}
],
"years": []
}
],
"countries": null,
"external_ids": [{"id": "0000000001", "provenance": "staff", "source": "scienti"}],
"first_names": null,
"full_name": "María Ejemplo García",
"h5_index": null,
"h_index": null,
"id": "0000000001",
"last_names": null,
"ranking": null,
"sex": null,
"type": null
}
],
"authors_count": 1,
"external_ids": [{"id": "0000000001-28", "provenance": "minciencias", "source": "scienti"}],
"external_urls": [],
"groups": [
{
"citations_count": null,
"h5_index": null,
"h_index": null,
"id": "COL0000001",
"name": "Grupo de Investigación Ejemplo",
"ranking": null
}
],
"id": "6ab847915418a51e32855aa6",
"language": "es",
"product_types": [{"name": "Patente de invención", "source": "minciencias"}],
"ranking": [
{
"date": 1444885200,
"from_date": null,
"issn": null,
"level": null,
"order": null,
"rank": "PIV-PA4",
"source": "minciencias",
"to_date": null
}
],
"title": "Equipo para la producción de alquil ésteres de ácidos grasos empleando un reactor de película líquida operado en contracorriente",
"titles": [
{
"lang": "es",
"provenance": null,
"source": "minciencias",
"title": "Equipo para la producción de alquil ésteres de ácidos grasos empleando un reactor de película líquida operado en contracorriente"
}
],
"types": [
{
"code": null,
"level": 1,
"provenance": "minciencias",
"source": "minciencias",
"type": "Patente de invención",
"type_class": null
}
],
"updated": [{"source": "minciencias", "time": 1790461841}]
},
"meta": {"count": 1, "cursor": {"next": null, "previous": null}, "db_response_time_ms": 25, "page": 1, "size": 1}
}
{"error": "The patent with id 000000000000000000000000 does not exist."}
Patent
Get a patent
Returns a patent from its identifier.
GET
/
patent
/
{patent_id}
Get a patent
curl --request GET \
--url https://api.dev.impactu.colav.co/patent/{patent_id}import requests
url = "https://api.dev.impactu.colav.co/patent/{patent_id}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.dev.impactu.colav.co/patent/{patent_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.dev.impactu.colav.co/patent/{patent_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.dev.impactu.colav.co/patent/{patent_id}"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.dev.impactu.colav.co/patent/{patent_id}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.dev.impactu.colav.co/patent/{patent_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"data": {
"authors": [
{
"affiliations": [
{
"addresses": null,
"end_date": null,
"external_ids": null,
"h5_index": null,
"h_index": null,
"id": "COL0000001",
"name": "Grupo de Investigación Ejemplo",
"position": null,
"ranking": null,
"ror": null,
"start_date": null,
"types": [
{
"code": null,
"level": null,
"provenance": null,
"source": "minciencias",
"type": "group",
"type_class": null
}
],
"years": []
}
],
"countries": null,
"external_ids": [{"id": "0000000001", "provenance": "staff", "source": "scienti"}],
"first_names": null,
"full_name": "María Ejemplo García",
"h5_index": null,
"h_index": null,
"id": "0000000001",
"last_names": null,
"ranking": null,
"sex": null,
"type": null
}
],
"authors_count": 1,
"external_ids": [{"id": "0000000001-28", "provenance": "minciencias", "source": "scienti"}],
"external_urls": [],
"groups": [
{
"citations_count": null,
"h5_index": null,
"h_index": null,
"id": "COL0000001",
"name": "Grupo de Investigación Ejemplo",
"ranking": null
}
],
"id": "6ab847915418a51e32855aa6",
"language": "es",
"product_types": [{"name": "Patente de invención", "source": "minciencias"}],
"ranking": [
{
"date": 1444885200,
"from_date": null,
"issn": null,
"level": null,
"order": null,
"rank": "PIV-PA4",
"source": "minciencias",
"to_date": null
}
],
"title": "Equipo para la producción de alquil ésteres de ácidos grasos empleando un reactor de película líquida operado en contracorriente",
"titles": [
{
"lang": "es",
"provenance": null,
"source": "minciencias",
"title": "Equipo para la producción de alquil ésteres de ácidos grasos empleando un reactor de película líquida operado en contracorriente"
}
],
"types": [
{
"code": null,
"level": 1,
"provenance": "minciencias",
"source": "minciencias",
"type": "Patente de invención",
"type_class": null
}
],
"updated": [{"source": "minciencias", "time": 1790461841}]
},
"meta": {"count": 1, "cursor": {"next": null, "previous": null}, "db_response_time_ms": 25, "page": 1, "size": 1}
}
{"error": "The patent with id 000000000000000000000000 does not exist."}
Path parameters
string
required
Patent identifier. Example:
6ab847915418a51e32855aa6.Query parameters
string
default:"full"
Level of detail of the response.
full returns every field. summary
returns only the entity’s main fields and, for products, patents and
projects, cuts the author list to 10. Any other value returns 400.Response
object
The requested patent.
Show properties
Show properties
string
Patent identifier.
string
Main title.
object[]
Titles by source (
title, lang, source, provenance).string | null
Language (ISO 639-1 code).
object[]
Product types by source (
name, source). For example:
"Patente de invención" according to Minciencias.object[]
Types by source with
type, level, source and provenance.object[]
Patent classifications (
rank, source, date).object[]
Authors with their affiliations and external identifiers.
integer
Number of authors.
object[]
Associated research groups (
id, name).object[]
External identifiers (
id, source, provenance).object[]
External links (
url, source).object[]
Last update by source (
source, time in Unix seconds).object
Query metadata, with the same shape as in lists:
count and size are 1,
page is 1, cursor.next and cursor.previous are null, and
db_response_time_ms is the database response time.{
"data": {
"authors": [
{
"affiliations": [
{
"addresses": null,
"end_date": null,
"external_ids": null,
"h5_index": null,
"h_index": null,
"id": "COL0000001",
"name": "Grupo de Investigación Ejemplo",
"position": null,
"ranking": null,
"ror": null,
"start_date": null,
"types": [
{
"code": null,
"level": null,
"provenance": null,
"source": "minciencias",
"type": "group",
"type_class": null
}
],
"years": []
}
],
"countries": null,
"external_ids": [{"id": "0000000001", "provenance": "staff", "source": "scienti"}],
"first_names": null,
"full_name": "María Ejemplo García",
"h5_index": null,
"h_index": null,
"id": "0000000001",
"last_names": null,
"ranking": null,
"sex": null,
"type": null
}
],
"authors_count": 1,
"external_ids": [{"id": "0000000001-28", "provenance": "minciencias", "source": "scienti"}],
"external_urls": [],
"groups": [
{
"citations_count": null,
"h5_index": null,
"h_index": null,
"id": "COL0000001",
"name": "Grupo de Investigación Ejemplo",
"ranking": null
}
],
"id": "6ab847915418a51e32855aa6",
"language": "es",
"product_types": [{"name": "Patente de invención", "source": "minciencias"}],
"ranking": [
{
"date": 1444885200,
"from_date": null,
"issn": null,
"level": null,
"order": null,
"rank": "PIV-PA4",
"source": "minciencias",
"to_date": null
}
],
"title": "Equipo para la producción de alquil ésteres de ácidos grasos empleando un reactor de película líquida operado en contracorriente",
"titles": [
{
"lang": "es",
"provenance": null,
"source": "minciencias",
"title": "Equipo para la producción de alquil ésteres de ácidos grasos empleando un reactor de película líquida operado en contracorriente"
}
],
"types": [
{
"code": null,
"level": 1,
"provenance": "minciencias",
"source": "minciencias",
"type": "Patente de invención",
"type_class": null
}
],
"updated": [{"source": "minciencias", "time": 1790461841}]
},
"meta": {"count": 1, "cursor": {"next": null, "previous": null}, "db_response_time_ms": 25, "page": 1, "size": 1}
}
{"error": "The patent with id 000000000000000000000000 does not exist."}